Subject: bug#37556: gpg "-unknown" version string

From: Juanma Barranquero <[email-masked]>
Date: Mon, 30 Sep 2019 09:49:06 +0200

On Mon, Sep 30, 2019 at 9:17 AM Eli Zaretskii <[email-masked]> wrote:
>
> "-unknown" is unusual in version strings, IME.

Yes, but, why would that be a problem? It's not like we're going to find a
lot of strings 1.2.3-unknown that aren't really version numbers, are we?

> If this is somehow
> related to gpg, maybe we should chop that before we invoke the
> version-comparison functions, in gpg-related Lisp files only?

Chopping would mean that 2.2.17 and 2.2.17-unknown are equal, but currently
2.2.17-unknown (in epg) is less than 2.2.17.

Certainly the problem can be fixed by wrapping more code with (let
((version-regexp-alist (cons ...)) ...). It's just that it seems a bit
kludgy to me. But whatever, not really a big issue.